﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

public class spheremove : MonoBehaviour
{
    int objno = 1;
    rtcmixmain RTcmix;
    private bool did_start = false;

    float freq;

    float yval;
    public float updownspeed;

    private void Awake()
    {
        // find the RTcmixmain object with the RTcmix function definitions
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }


    // Use this for initialization
    void Start()
    {
        // initialize RTcmix
        RTcmix.initRTcmix(objno);

        freq = 300.0f;

        // send the frequency value to RTcmix
        RTcmix.SendScore("freq = " + freq, objno);

        // and then send a MAXBANG() to start the sound
        RTcmix.SendScore("MAXBANG(0.1)", objno);

        did_start = true;

        yval = 2.0f;
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKey("]"))
        {
            yval = yval + updownspeed;
            freq = freq + 10.0f;
        }
        if (Input.GetKey("["))
        {
            yval = yval - updownspeed;
            freq = freq - 10.0f;
        }
        transform.position = new Vector3(0.0f, yval, 0.0f);
    }

    void OnAudioFilterRead(float[] data, int channels)
    {
        if (!did_start) return;

        // compute sound samples
        RTcmix.runRTcmix(data, objno, 0);

        if (RTcmix.checkbangRTcmix(objno) == 1)
        {
            RTcmix.SendScore("freq = " + freq, objno);
            RTcmix.SendScore("STRUM2(0, 3.5, 10000, freq, 1, 3.5, 0.5) " +
                "MAXBANG(0.1)", objno);
        }
    }


    void OnApplicationQuit()
    {
        did_start = false;
        RTcmix = null;
    }
}
